FreeMat

- Main Page
- Related Pages

vtkRISReader

Section: Visualization Toolkit Infovis Classes

# Usage

RIS is a tagged format for expressing bibliographic citations. Data is structured as a collection of records with each record composed of one-to-many fields. See

http://en.wikipedia.org/wiki/RIS_(file_format) http://www.refman.com/support/risformat_intro.asp http://www.adeptscience.co.uk/kb/article/A626

for details. vtkRISReader will convert an RIS file into a vtkTable, with the set of table columns determined dynamically from the contents of the file.

To create an instance of class vtkRISReader, simply invoke its constructor as follows

      obj = vtkRISReader

# Methods

The class vtkRISReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkRISReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkRISReader = obj.NewInstance ()`
- `vtkRISReader = obj.SafeDownCast (vtkObject o)`
- `string = obj.GetFileName ()` - Set/get the file to load
- `obj.SetFileName (string )` - Set/get the file to load
- `string = obj.GetDelimiter ()` - Set/get the delimiter to be used for concatenating field data (default: ";")
- `obj.SetDelimiter (string )` - Set/get the delimiter to be used for concatenating field data (default: ";")
- `int = obj.GetMaxRecords ()` - Set/get the maximum number of records to read from the file (zero = unlimited)
- `obj.SetMaxRecords (int )` - Set/get the maximum number of records to read from the file (zero = unlimited)